VERSION 5.00
Begin VB.Form VacationListForm 
   Appearance      =   0  'Flat
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Vacation List"
   ClientHeight    =   4635
   ClientLeft      =   165
   ClientTop       =   1425
   ClientWidth     =   8265
   BeginProperty Font 
      Name            =   "MS Sans Serif"
      Size            =   8.25
      Charset         =   0
      Weight          =   700
      Underline       =   0   'False
      Italic          =   0   'False
      Strikethrough   =   0   'False
   EndProperty
   ForeColor       =   &H80000008&
   Icon            =   "vaclist.frx":0000
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   PaletteMode     =   1  'UseZOrder
   ScaleHeight     =   4635
   ScaleWidth      =   8265
   StartUpPosition =   1  'CenterOwner
   Begin VB.CommandButton cmd_exit 
      Cancel          =   -1  'True
      Caption         =   "Exit"
      Default         =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   120
      TabIndex        =   7
      Top             =   4080
      Width           =   1260
   End
   Begin VB.CommandButton cmd_delete 
      Caption         =   "Del Vacation"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   5160
      TabIndex        =   6
      ToolTipText     =   "Add new time block"
      Top             =   4080
      Width           =   1260
   End
   Begin VB.CommandButton cmd_ok 
      Caption         =   "Add Vacation"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   345
      Left            =   6720
      TabIndex        =   5
      ToolTipText     =   "Add new time block"
      Top             =   4080
      Width           =   1260
   End
   Begin VB.TextBox EmpDefault 
      Appearance      =   0  'Flat
      Height          =   375
      Left            =   6570
      TabIndex        =   4
      Text            =   "EmpDefault"
      Top             =   150
      Visible         =   0   'False
      Width           =   1365
   End
   Begin VB.ListBox VacList 
      Appearance      =   0  'Flat
      Height          =   3150
      Left            =   2520
      TabIndex        =   1
      Top             =   600
      Width           =   5535
   End
   Begin VB.ListBox EmpList 
      Appearance      =   0  'Flat
      Height          =   3150
      ItemData        =   "vaclist.frx":030A
      Left            =   120
      List            =   "vaclist.frx":030C
      TabIndex        =   0
      Top             =   600
      Width           =   2295
   End
   Begin VB.Label Label2 
      Appearance      =   0  'Flat
      Caption         =   "Vacations:"
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   2520
      TabIndex        =   3
      Top             =   240
      Width           =   3855
   End
   Begin VB.Label Label1 
      Appearance      =   0  'Flat
      Caption         =   "Employees:"
      ForeColor       =   &H80000008&
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   240
      Width           =   2295
   End
End
Attribute VB_Name = "VacationListForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub cmd_delete_Click()
   Dim i As Integer
    iVac = VacList.ListIndex
    If iVac < 0 Then
        MsgBox "No Vacation is selected."
        Exit Sub
    End If

    'Find appropriate timeblock
    iRes = EmpList.ListIndex
    iTBsFound = -1
    For i = 1 To Form1.ScProOCX1.TbMax
        If Form1.ScProOCX1.TbRes(i) = iRes + 1 Then
            iTBsFound = iTBsFound + 1
            If iTBsFound = iVac Then
                Exit For
            End If
        End If
    Next i

    Form1.ScProOCX1.TbClear (i)
    VacList.RemoveItem iVac
End Sub

Private Sub cmd_exit_Click()
Unload Me
End Sub




Private Sub Command1_Click()

End Sub



Private Sub cmd_ok_Click()
Dim start As Date

'verify employees
If Form1.ScProOCX1.ResMax = 0 Then Exit Sub

'default settings
frm_block.txt_ID.Locked = False
frm_block.txt_key.Locked = False
frm_block.txt_desc.Locked = False
frm_block.txt_beg.Locked = False
frm_block.txt_dur.Locked = False
frm_block.txt_end.Locked = False
frm_block.txt_user.Locked = False
frm_block.txt_group.Locked = False
frm_block.cmd_ok.Visible = True

'default data of a new time block
start = gdate_TBstart
frm_block.txt_ID = Form1.ScProOCX1.TbMax + 1
frm_block.txt_key = "id" + CStr(Form1.ScProOCX1.TbMax + 1)
frm_block.txt_desc = "New Vacation"
frm_block.txt_beg = start
frm_block.txt_dur = 24
frm_block.txt_end = DateAdd("d", 1, start)
frm_block.txt_user = ""
frm_block.txt_group = 0
frm_block.txt_resource = Form1.ScProOCX1.ResDesc(gint_Resindex)

frm_block.Show 1

End Sub

Private Sub EmpList_Click()
    Dim i As Integer
    iEmp = EmpList.ListIndex

    VacList.Clear
    
    For i = 1 To Form1.ScProOCX1.TbMax

        If Form1.ScProOCX1.TbRes(i) = iEmp + 1 Then
        
            a$ = Form1.ScProOCX1.TbDesc(i)
            a$ = a$ + " From:" + CStr(Form1.ScProOCX1.TBbeg(i))
            a$ = a$ + " To:" + CStr(Form1.ScProOCX1.TBend(i))

            VacList.AddItem a$

        End If

    Next i

    EmpDefault.Text = iEmp
    
    If VacList.ListCount > 0 Then
        VacList.ListIndex = 0
    End If

End Sub

Private Sub Form_Activate()
Dim i As Integer

    EmpList.Clear

    'verify employees
    If Form1.ScProOCX1.ResMax = 0 Then Exit Sub
    
    For i = 1 To Form1.ScProOCX1.ResMax
        EmpList.AddItem Form1.ScProOCX1.ResDesc(i)
    Next i

    iEmp = Val(EmpDefault.Text)
    EmpList.ListIndex = iEmp

    VacList.Clear
    
    For i = 1 To Form1.ScProOCX1.TbMax

        If Form1.ScProOCX1.TbRes(i) = iEmp + 1 Then
        
            a$ = Form1.ScProOCX1.TbDesc(i)
            a$ = a$ + " From:" + CStr(Form1.ScProOCX1.TBbeg(i))
            a$ = a$ + " To:" + CStr(Form1.ScProOCX1.TbRealEnd(i))

            VacList.AddItem a$

        End If

    Next i

    If VacList.ListCount > 0 Then
        VacList.ListIndex = 0
    End If

End Sub

